curl --request PUT \
--url https://region.nks.europe-west4.nscale.com/api/v2/filestorage/{filestorageID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"name": "storage-name",
"description": "A verbose description",
"tags": [
{
"name": "tag-name",
"value": "tag-value"
}
]
},
"spec": {
"sizeGiB": 200,
"storageType": {
"nfs": {
"rootsquash": true
}
},
"attachments": {
"networkIds": [
"903b5fba-8eb0-4016-a854-b8f716bcd9bb"
]
}
}
}
'import requests
url = "https://region.nks.europe-west4.nscale.com/api/v2/filestorage/{filestorageID}"
payload = {
"metadata": {
"name": "storage-name",
"description": "A verbose description",
"tags": [
{
"name": "tag-name",
"value": "tag-value"
}
]
},
"spec": {
"sizeGiB": 200,
"storageType": { "nfs": { "rootsquash": True } },
"attachments": { "networkIds": ["903b5fba-8eb0-4016-a854-b8f716bcd9bb"] }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
name: 'storage-name',
description: 'A verbose description',
tags: [{name: 'tag-name', value: 'tag-value'}]
},
spec: {
sizeGiB: 200,
storageType: {nfs: {rootsquash: true}},
attachments: {networkIds: ['903b5fba-8eb0-4016-a854-b8f716bcd9bb']}
}
})
};
fetch('https://region.nks.europe-west4.nscale.com/api/v2/filestorage/{filestorageID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"id": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
"name": "storage-name",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2024-05-31T14:11:00Z",
"createdBy": "john.doe@acme.com",
"provisioningStatus": "provisioned",
"healthStatus": "healthy",
"tags": [
{
"name": "tag-name",
"value": "tag-value"
}
]
},
"spec": {
"sizeGiB": 200,
"storageType": {
"nfs": {
"rootsquash": true
}
},
"attachments": {
"networkIds": [
"903b5fba-8eb0-4016-a854-b8f716bcd9bb"
]
},
"defaultSnapshotProtectionEnabled": true,
"snapshotPolicies": []
},
"status": {
"regionId": "ba39bff5-b0d8-4c60-89e5-ed1104356b4a",
"storageClassId": "99659b44-1700-400f-9c6c-cfdb4bb0445c",
"snapshotPolicies": [],
"usage": {
"capacityBytes": 107374182400,
"usedBytes": 94489280512,
"updatedAt": "2026-01-31T12:00:00Z"
},
"attachments": [
{
"networkId": "903b5fba-8eb0-4016-a854-b8f716bcd9bb",
"mountSource": "10.0.0.16:/mnt/nfs",
"provisioningStatus": "provisioned",
"mountOptions": {
"remoteports": "10.0.0.16-10.0.0.19"
}
}
]
}
}{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "unprocessable_content",
"error_description": "the request body was in the wrong format",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Update file storage
Update this storage. Snapshot Policies are managed as inline parent File Storage desired state. Omitted spec.snapshotPolicies preserves existing user-managed policies, an empty list clears all user-managed policies, and a non-empty list replaces the full user-managed policy list. Default Snapshot Protection is controlled separately by spec.defaultSnapshotProtectionEnabled.
Authorizations
Operation requires OAuth 2.0 bearer token authentication.
Path Parameters
The storage unique identifier. A file storage ID.
Body
A request to update a storage.
A storage update request. Omitted spec.defaultSnapshotProtectionEnabled preserves the current Default Snapshot Protection setting, and explicit null is invalid. Omitted spec.snapshotPolicies preserves existing desired user-managed Snapshot Policies, an empty list clears them, and a non-empty list replaces the full list.
Was this page helpful?